<?php
/* @var $this WidgetInstanceController */
/* @var $model WidgetInstance */
$this->breadcrumbs = array(
    'Widget Instances' => array('admin'),
    'Manage',
);
$this->menu = array(
    array('label' => 'Manage  WidgetInstance', 'url' => array('admin')),
    array('label' => 'Create WidgetInstance', 'url' => array('create')),
);
Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#widget-instance-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
<div class="page-header"><h1>Manage Widget Instances</h1></div>
<p>
    You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>
        &lt;&gt;</b>
    or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>
<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button btn btn-xs')); ?>
<div class="search-form display-none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->
<?php
$this->widget('ext.widgets.FGridView', array(
    'id' => 'widget-instance-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'id',
            'htmlOptions' => array('style' => 'width:50px;'),
        ),
        array(
            'name' => 'title',
            'value' => 'CHtml::link($data->title,array("update","id"=>$data->id))',
            'type' => 'raw',
        ),
//        'options',
        'widget.title',
        array(
            'class' => 'CButtonColumn',
        ),
    ),
));
?>
